---
sidebar_position: 9
description: Get file block and other functions to work with Bitrix24 in the Open Integration Package, a free open-source integration library for 1C:Enterprise 8, OneScript and CLI
keywords: [1C, 1С, 1С:Enterprise, 1С:Enterprise 8.3, API, Integration, Services, Exchange, OneScript, CLI, Bitrix24]
---

import Tabs from '@theme/Tabs';
import TabItem from '@theme/TabItem';

# Get file block
 Make file block for SendMessage method



`Function GetFileBlock(Val Name, Val URL) Export`

  | Parameter | CLI option | Type | Required | Description |
  |-|-|-|-|-|
  | Name | --title | String | &#x2714; | Picture name |
  | URL | --url | String | &#x2714; | File URL |

  
  Returns:  Structure - FileBlock

:::tip
Blocks at API documentation: [Link](https://dev.1c-bitrix.ru/learning/course/?COURSE_ID=93&CHAPTER_ID=07867)
:::
<br/>


```bsl title="1C:Enterprise/OneScript code example"
    Name = "Image";
    URL  = "https://hut.openintegrations.dev/test_data/document.docx";

    Result = OPI_Bitrix24.GetFileBlock(Name, URL);
```
 

 <Tabs>
  
    <TabItem value="bash" label="Bash" default>
        ```bash
            oint bitrix24 GetFileBlock \
             --title "Image" \
             --url "https://hut.openintegrations.dev/test_data/document.docx"
        ```
    </TabItem>
  
    <TabItem value="bat" label="CMD/Bat" default>
        ```batch
            oint bitrix24 GetFileBlock ^
             --title "Image" ^
             --url "https://hut.openintegrations.dev/test_data/document.docx"
        ```
    </TabItem>
</Tabs>


```json title="Result"
{
 "FILE": {
  "NAME": "Image",
  "LINK": "https://hut.openintegrations.dev/test_data/document.docx"
 }
}
```
